vfHlGui = {};
source(VehicleFruitHud.modDir.."scripte/hlGui/vfGlobalSetting.lua");

function vfHlGui:generate(debugPrint)
	if g_currentMission.hlGui == nil or g_currentMission.hlGui.setGet == nil then 
		print("***Error	-can not generate VehicleFruitHud Settings Menue (! is hlGui Menue loaded !)- Error***");
		VehicleFruitHud.values.hlGui.isLoad = false;
		return;
		
	end;
	local errorTable = {};
	g_currentMission.hlGui.callbacks.vf = {};
	g_currentMission.hlGui.callbacks.vf["onOpenHlGui"] = vfHlGui.onOpenHlGui;
	g_currentMission.hlGui.callbacks.vf["closeHlGui"] = vfHlGui.setCloseHlGui;
	g_currentMission.hlGui.callbacks.vf["saveHlGui"] = vfHlGui.setSaveHlGui;
	local isLoad = g_currentMission.hlGui.setGet:generateModMenue( {modName="VehicleFruitHud",displayName= tostring(VehicleFruitHud.metadata.title).. tostring(VehicleFruitHud.metadata.version), saveCallback=g_currentMission.hlGui.callbacks.vf["saveHlGui"], closeCallback=g_currentMission.hlGui.callbacks.vf["closeHlGui"]} );
	if not isLoad then errorTable[errorTable+1] = "***Error	-can not generate VehicleFruitHud Settings Menue (! is hlGui Menue loaded !)- Error***";end;
	if isLoad then
		g_currentMission.hlGui.callbacks.vf["clickButton"] = vfHlGui.clickButtonCallback;
		g_currentMission.hlGui.callbacks.vf["pullDownButton"] = vfHlGui.pullDownButtonCallback;
		g_currentMission.hlGui.callbacks.vf["clickPullDownLine"] = vfHlGui.clickPullDownLineCallback;
		g_currentMission.hlGui.callbacks.vf["txtButton"] = vfHlGui.txtButtonCallback;
		g_currentMission.hlGui.callbacks.vf["openDraw"] = vfHlGui.setOpenDraw;	
		-----GlobalSetting Page/Side-----
		VehicleFruitHud.values.hlGui.page["GlobalSetting"] = 1;VehicleFruitHud.values.hlGui.side["GlobalSetting"] = 1;
		isLoad = g_currentMission.hlGui.setGet:generateModPage( {modName="VehicleFruitHud", displayName="Global Setting"} );
		if not isLoad then errorTable[errorTable+1] = "***Error Global Setting";end;
		isLoad = g_currentMission.hlGui.setGet:generateModPageSide( {modName="VehicleFruitHud", page=VehicleFruitHud.values.hlGui.page["GlobalSetting"]} );
		if not isLoad then errorTable[errorTable+1] = "***Error Global Setting Page Side";end;
		vfGlobalSetting:generateSide(1);
		-----GlobalSetting Page/Side-----		
	end;
	if #errorTable > 0 then
		if debugPrint then
			for a=1, #errorTable do
				print("---VF DebugPrint= ".. tostring(errorTable[a]))
			end;
		end;
		VehicleFruitHud.values.hlGui.isLoad = false;
		return;
	end;
	VehicleFruitHud.values.hlGui.isLoad = true;
end;

function vfHlGui.clickButtonCallback(args)	
	if args == nil or type(args) ~= "table" or args.lineButton == nil then return;end;	
	if args.lineButton.ownTable.pageName == "GlobalSetting" then
		if not VehicleFruitHud.values.isOn then 
			if args.lineButton.ownTable.side ~= 1 then return;end;
			if args.lineButton.ownTable.whatClick ~= "vfOnOff_" then return;end;
		end;
		vfGlobalSetting:clickButtonCallback(args);	
	end;
	return;
end;

function vfHlGui.pullDownButtonCallback(args)
	local pullDownTable = {};
	if not VehicleFruitHud.values.isOn then return pullDownTable;end;
	if args == nil or type(args) ~= "table" or args.lineButton == nil then return pullDownTable;end;
	if args.lineButton.ownTable.pageName == "GlobalSetting" then
		pullDownTable = vfGlobalSetting:pullDownCallback(args.lineButton);	
	end;
	return pullDownTable;
end;

function vfHlGui.clickPullDownLineCallback(args)
	if not VehicleFruitHud.values.isOn then return;end;
	if args == nil or type(args) ~= "table" or args.selectLine == nil or args.ownTable == nil then return;end;	
	if args.ownTable.pageName == "GlobalSetting" then
		vfGlobalSetting:clickPullDownLineCallback(args);	
	end;
	return;
end;

function vfHlGui.txtButtonCallback(args)
	if args == nil or type(args) ~= "table" or args.lineButton == nil or args.lineButton.ownTable == nil then return "";end;
	local txtButton = "";
	if args.lineButton.ownTable.pageName == "GlobalSetting" then
		if not VehicleFruitHud.values.isOn then 
			if args.lineButton.ownTable.side ~= 1 then return "";end;
			if args.lineButton.ownTable.whatClick ~= "vfOnOff_" then return "";end;
		end;
		txtButton = vfGlobalSetting:txtButtonCallback(args.lineButton);	
	end;
	return tostring(txtButton);
end;

function vfHlGui.onOpenHlGui(args)
	
end

function vfHlGui.setOpenDraw(args)
	
end;

function vfHlGui.setCloseHlGui()
	
end;

function vfHlGui.setSaveHlGui()
	vfSetGetSettingsXml:onSaveCallbackGuiMenue();
end;